package com.leanwo.activiti.dto.base;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 流程实例的详细信息.
 *
 * @author Jack
 */
public class ProcessInstanceDescription implements Serializable {
	
	/**
	 *  开始时间.
	 */
	private Date startTime;
	
	/**
	 *  结束时间.
	 */
	private Date endTime;
	
	/**
	 *  是否正在运行.
	 */
	private boolean isActive;	
	
	/**
	 *  工作流发起用户ID.
	 */
	private Long startUserId;
	
	/**
	 *  工作流发起用户姓名.
	 */
	private String startUserName;
	
	/**
	 *  工作流发起用户头像.
	 */
	private String startUserImage;
	
	/**
	 *  任务评论.
	 */
	private List<TaskComment> taskComments;
	
	/**
	 *  正在运行的任务的信息.
	 */
	private List<TaskDescription> activeTaskDescriptions;
	
	/**
	 * Gets the 任务评论.
	 *
	 * @return the 任务评论
	 */
	public List<TaskComment> getTaskComments() {
		return taskComments;
	}
	
	/**
	 * Sets the 任务评论.
	 *
	 * @param taskComments the new 任务评论
	 */
	public void setTaskComments(List<TaskComment> taskComments) {
		this.taskComments = taskComments;
	}
	
	/**
	 * Gets the 正在运行的任务的信息.
	 *
	 * @return the 正在运行的任务的信息
	 */
	public List<TaskDescription> getActiveTaskDescriptions() {
		return activeTaskDescriptions;
	}
	
	/**
	 * Sets the 正在运行的任务的信息.
	 *
	 * @param activeTaskDescriptions the new 正在运行的任务的信息
	 */
	public void setActiveTaskDescriptions(List<TaskDescription> activeTaskDescriptions) {
		this.activeTaskDescriptions = activeTaskDescriptions;
	}
	
	/**
	 * Gets the 开始时间.
	 *
	 * @return the 开始时间
	 */
	public Date getStartTime() {
		return startTime;
	}
	
	/**
	 * Sets the 开始时间.
	 *
	 * @param startTime the new 开始时间
	 */
	public void setStartTime(Date startTime) {
		this.startTime = startTime;
	}
	
	/**
	 * Gets the 结束时间.
	 *
	 * @return the 结束时间
	 */
	public Date getEndTime() {
		return endTime;
	}
	
	/**
	 * Sets the 结束时间.
	 *
	 * @param endTime the new 结束时间
	 */
	public void setEndTime(Date endTime) {
		this.endTime = endTime;
	}
	
	/**
	 * 
	 *
	 * @return 
	 */
	public boolean isActive() {
		return isActive;
	}
	
	/**
	 * 
	 *
	 * @param isActive 
	 */
	public void setActive(boolean isActive) {
		this.isActive = isActive;
	}
	
	/**
	 * Gets the 工作流发起用户ID.
	 *
	 * @return the 工作流发起用户ID
	 */
	public Long getStartUserId() {
		return startUserId;
	}
	
	/**
	 * Sets the 工作流发起用户ID.
	 *
	 * @param startUserId the new 工作流发起用户ID
	 */
	public void setStartUserId(Long startUserId) {
		this.startUserId = startUserId;
	}
	
	/**
	 * Gets the 工作流发起用户姓名.
	 *
	 * @return the 工作流发起用户姓名
	 */
	public String getStartUserName() {
		return startUserName;
	}
	
	/**
	 * Sets the 工作流发起用户姓名.
	 *
	 * @param startUserName the new 工作流发起用户姓名
	 */
	public void setStartUserName(String startUserName) {
		this.startUserName = startUserName;
	}
	
	/**
	 * Gets the 工作流发起用户头像.
	 *
	 * @return the 工作流发起用户头像
	 */
	public String getStartUserImage() {
		return startUserImage;
	}
	
	/**
	 * Sets the 工作流发起用户头像.
	 *
	 * @param startUserImage the new 工作流发起用户头像
	 */
	public void setStartUserImage(String startUserImage) {
		this.startUserImage = startUserImage;
	}
}
